unit BaseGlobals;

{ This code is part of the Finger/Fingerd source code, written in THINK Pascal 4 }
{ Copyright 1991-1992 Peter N Lewis }
{ If you use this code, you must give me credit in your about box and documentation }

interface

	const
		growzone_size = 10000;
		global_strh_id = 128;
		save_changes_alert_id = 135;
		fail_alert_id = 150;
		fail_strh_id = -1;

		pref_name = 1;
		pref_launch_str = 2;
		pref_no_file = 3;
		help_menu_text = 4;
		special_string = 5;
		quiting_str = 6;
		closing_str = 7;

		M_Apple = 128;
		M_File = 129;
		M_Edit = 130;
		M_About = 1;

		CAbout = 'abou';
		CNew = 'new ';
		Copen = 'open';
		Csave = 'save';
		Csaveas = 'svas';
		CClose = 'clos';
		CPageSetup = 'pgsu';
		CPrint = 'prnt';
		CPreferences = 'pref';
		CHelp = 'help';
		CQuit = 'quit';
		CUndo = 'undo';
		CCut = 'cut ';
		CCopy = 'copy';
		CPaste = 'past';
		CClear = 'clea';
		CSelectAll = 'sela';

	var
		M_HM_Help_I: integer;
		MH_Apple, MH_File, MH_Edit: menuHandle;
		quitNow: boolean;

	function GetGlobalString (i: integer): str255;
	procedure AlertUser (i: integer);

implementation

	function GetGlobalString (i: integer): str255;
		var
			s: str255;
	begin
		GetIndString(s, global_strh_id, i);
		GetGlobalString := s;
	end;

	procedure AlertUser (i: integer);
		var
			s: str255;
			a: integer;
	begin
		GetIndString(s, fail_strh_id, i);
		ParamText(s, '', '', '');
		a := Alert(fail_alert_id, nil);
	end;

end.